Bug 424881 - Review Request: fontmatrix - Font manager
Review Request: fontmatrix - Font manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 06:31 EST by Parag Nemade
Modified: 2008-01-05 19:13 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.3.0-3.r263.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 16:12:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 manuel wolfshant 2007-12-14 07:05:31 EST
There are couple of small problems
- I am not a native speaker, but the description does not sound like proper
English to me. I suggest dropping the word "soon".
- During compile time, the CFLAGS argument is ignored, as you can see in this
excerpt from the build log:
g++ -c -m64 -pipe -g -D_REENTRANT -Wall -W -DQT_XML_LIB -DQT_GUI_LIB
-DQT_CORE_LIB -I/usr/lib64/qt4/mkspecs/linux-g++-64 -I. -I/usr/inc
lude/QtUiTools -I/usr/include/QtCore -I/usr/include/QtCore -I/usr/include/QtGui
-I/usr/include/QtGui -I/usr/include/QtXml -I/usr/includ
e/QtXml -I/usr/include -I/usr/include/QtDBus -I/usr/include/freetype2 -I. -I. -o
main.o main.cpp
- the gcc-c++ BR is redundant
Comment 2 Ralf Corsepius 2007-12-14 09:03:10 EST
(In reply to comment #1)
> There are couple of small problems

> g++ -c -m64 -pipe -g -D_REENTRANT -Wall -W -DQT_XML_LIB -DQT_GUI_LIB
> -DQT_CORE_LIB -I/usr/lib64/qt4/mkspecs/linux-g++-64 -I. -I/usr/inc
> lude/QtUiTools -I/usr/include/QtCore -I/usr/include/QtCore -I/usr/include/QtGui
> -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/includ
> e/QtXml -I/usr/include -I/usr/include/QtDBus -I/usr/include/freetype2 -I. -I.  
FWIW: -I/usr/include almost always is wrong. I haven't looked into this package,
but I think this also applies here.


Comment 3 Parag AN(पराग) 2007-12-17 12:29:58 EST
Upstream did some commits in svn.

Spec URL: http://paragn.fedorapeople.org/fontmatrix/fontmatrix.spec
SRPM URL:
http://paragn.fedorapeople.org/fontmatrix/fontmatrix-0.3.0-1.r253.fc8.src.rpm

I need to know is naming guidelines are correct for this srpm?
Comment 4 manuel wolfshant 2007-12-17 19:35:08 EST
The name seems correct to me.
However there are a few errros
- cosmetic:
  - removed work soon from description
  - remove redundand BR: gcc-c++
should be
  - removed _word_ "soon" from description
  - remove _redundant_ BR
But anyway, I would just rephrase everything to "spec cleanup".

- serious: there is a missing BR for cmake

- %build should follow the steps described at
http://fedoraproject.org/wiki/Packaging/cmake and I mean here "%cmake ." instead
of "cmake .". Your version leads to build errors in mock

- could you please let me how to verify the sources (or better said, where to
get qmake from) ? I have done a svn checkout, but I was stopped by the following
error:
[wolfy@wolfy fontmatrix]$ cmake ../fontmatrix
-- Building Fontmatrix 0.3.0svn
CMake Error: Qt qmake not found!
-- Configuring done
I have tried to locate qmake using:
  [wolfy@wolfy2 ~]$ sudo yum -c /tmp/fedora-devel-x86_64.cfg search \*qmake\*
  Setting up repositories
  Reading repository metadata in from local files
  No Matches found
but failed, as one can see above. Google suggest kdevelop, but it does not seem
to be provided by it, either.

Comment 5 Parag AN(पराग) 2007-12-17 20:47:53 EST
(In reply to comment #4)
> The name seems correct to me.
> However there are a few errros
> - cosmetic:
>   - removed work soon from description
>   - remove redundand BR: gcc-c++
> should be
>   - removed _word_ "soon" from description
>   - remove _redundant_ BR
> But anyway, I would just rephrase everything to "spec cleanup".
  Will do above changes. Some reviewer/packagers want to write more explicit
some want to write only spec cleanup. I like to write spec cleanup but after
seeing many peoples requesting or writing even simple change in changelog I
decided to follow them. But anyway I changed that to "spec cleanup"

> 
> - serious: there is a missing BR for cmake
 Fixed in new version.

> 
> - %build should follow the steps described at
> http://fedoraproject.org/wiki/Packaging/cmake and I mean here "%cmake ." instead
> of "cmake .". Your version leads to build errors in mock
> 
  Fixed in new version. Though I added ctest but there is no tests currently. So
should I remove it or I should let it be as per cmake guidelines.

> - could you please let me how to verify the sources (or better said, where to
> get qmake from) ? I have done a svn checkout, but I was stopped by the following
> error:
> [wolfy@wolfy fontmatrix]$ cmake ../fontmatrix
> -- Building Fontmatrix 0.3.0svn
> CMake Error: Qt qmake not found!
> -- Configuring done
> I have tried to locate qmake using:
>   [wolfy@wolfy2 ~]$ sudo yum -c /tmp/fedora-devel-x86_64.cfg search \*qmake\*
>   Setting up repositories
>   Reading repository metadata in from local files
>   No Matches found
> but failed, as one can see above. Google suggest kdevelop, but it does not seem
> to be provided by it, either.
> 
> 
  You need qt4-x11 package.
Spec URL: http://paragn.fedorapeople.org/fontmatrix/fontmatrix.spec
SRPM URL:
http://paragn.fedorapeople.org/fontmatrix/fontmatrix-0.3.0-2.r253.fc8.src.rpm

Comment 6 Parag AN(पराग) 2007-12-17 23:43:19 EST
Koji build at
http://koji.fedoraproject.org/koji/taskinfo?taskID=298172
Comment 7 manuel wolfshant 2007-12-20 12:27:21 EST
There is a suggestion that I would like to make before the formal review: use
"svn export" instead of checkout, because otherwise all files will have
incorrect timestamps (they get the time of the checkout instead of their
original timestamp)
Please also note that the command listed in the spec ( cmake ../fontmatrix  &&
make package_source ) did not work for me because cmake fails with 
        -- Building Fontmatrix 0.3.0svn
         CMake Error: Qt qmake not found!
        -- Configuring done
 qt4-x11 does not provide qmake.

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: x86_64
 [x] Rpmlint output:
fontmatrix.x86_64: W: incoherent-version-in-changelog 0.3.0-2.r253.fc8
0.3.0-2.r253.fc9
--> I suggest dropping the ".fc8" from the changelog entries (or using %dist),
otherwise all rpms but the fc8 one will exhibit this message
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type:GPLv2
     Actual license: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     Verified by using
        svn co -r 253 http://svn.gna.org/svn/undertype/trunk/tools/typotek
        tar xzf fontmatrix-0.3.0-Source.tar.gz
        diff -r typotek fontmatrix-0.3.0-Source/
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 by me and in koji by the original submitter
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:ppc,ppc64,i386,x86_64
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. timestamps from svn are not preserved
2. according to the .h/.ccp files which are included, license should be GPLv2+
3. there is a duplicate BuildRequires: qt4-x11 is already brought in by qt4-devel


As I don't see any major problems, the package is APPROVED but please correct
the above issues and especially the license tag before uploading to cvs.
Comment 8 Parag Nemade 2007-12-20 22:53:32 EST
New Package CVS Request
=======================
Package Name: fontmatrix
Short Description: Font manager
Owners: pnemade
Branches: F-8
InitialCC:
Cvsextras Commits: no
Comment 9 Kevin Fenzi 2007-12-20 23:41:51 EST
cvs done.
Comment 10 Fedora Update System 2007-12-21 16:11:59 EST
fontmatrix-0.3.0-3.r263.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 manuel wolfshant 2008-01-05 19:13:53 EST
fixing the bug resolution

Note You need to log in before you can comment on or make changes to this bug.